Panda3D

Loading...
Searching...
No Matches
Typedefs | Functions | Variables
pta_int.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "pointerToArray.h"`
`#include "vector_int.h"`

Go to the source code of this file.

## Typedefs
typedef ConstPointerToArray< int > | CPTA_int

## Functions
PointerToArrayBase< int > | EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_EXPRESS, EXPTP_PANDA_EXPRESS, PointerToArray< int >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_EXPRESS
| EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_EXPRESS, EXPTP_PANDA_EXPRESS, PointerToBase< ReferenceCountedVector< int > >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_EXPRESS
| A pta of ints.

## Variables
| EXPTP_PANDA_EXPRESS
PointerToArrayBase< int > ConstPointerToArray< int > typedef PointerToArray< int > | PTA_int

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2000-05-10

Definition in file pta_int.h.

## Typedef Documentation

## ◆ CPTA_int

typedef ConstPointerToArray<int> CPTA_int

Definition at line 35 of file pta_int.h.

## Function Documentation

## ◆ EXPORT_TEMPLATE_CLASS()

EXPORT_TEMPLATE_CLASS | ( | EXPCL_PANDA_EXPRESS | ,
|  | EXPTP_PANDA_EXPRESS | ,
|  | PointerToBase< ReferenceCountedVector< int > > | )

A pta of ints.

This class is defined once here, and exported to PANDA.DLL; other packages that want to use a pta of this type (whether they need to export it or not) should include this header file, rather than defining the pta again.

## Variable Documentation

## ◆ EXPTP_PANDA_EXPRESS

PointerToArrayBase< int > EXPTP_PANDA_EXPRESS

Definition at line 30 of file pta_int.h.

## ◆ PTA_int

PointerToArrayBase< int > ConstPointerToArray<int> typedef PointerToArray<int> PTA_int

Definition at line 34 of file pta_int.h.